diff --git a/doc/src/sgml/recovery-config.sgml b/doc/src/sgml/recovery-config.sgml
index b69ce28..813db5f 100644
--- a/doc/src/sgml/recovery-config.sgml
+++ b/doc/src/sgml/recovery-config.sgml
@@ -182,6 +182,12 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
         the standby will end recovery without further waiting.
        </para>
        <para>
+        WAL records generated over the delay period need to be stored on the
+        standby until they can be applied.  Therefore long delays can result in
+        a build-up of WAL files, increasing disk space requirements for the
+        <filename>pg_xlog</> directory.
+       </para>
+       <para>
         This parameter is intended for use with streaming replication deployments,
         however, if the parameter is specified it will be honoured in all cases.
         Synchronous replication is not affected by this setting because there is
